classification
Title: Fix leaks in /PC/bdist_wininst/install.c
Type: enhancement Stage: resolved
Components: Installation Versions: Python 3.8
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, cheryl.sabella, serhiy.storchaka, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2019-05-13 11:57 by cheryl.sabella, last changed 2019-09-10 17:10 by zach.ware. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2142 tfs, 2019-05-13 11:58
PR 14007 closed ZackerySpytz, 2019-06-12 05:55
Messages (2)
msg342311 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-13 11:57
/PC/bdist_wininst/install.c contains some memory leaks.

PR2142 appears to be abandoned, so a new PR needs to be opened with the changes and also with the additional changes requested by Serhiy.
msg351731 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2019-09-10 17:10
Closing as "won't fix"; bdist_wininst has been deprecated in 3.8.
History
Date User Action Args
2019-09-10 17:10:11zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg351731

resolution: wont fix
stage: patch review -> resolved
2019-06-12 06:42:01ZackerySpytzsetnosy: + ZackerySpytz
2019-06-12 05:55:28ZackerySpytzsetpull_requests: + pull_request13870
2019-05-13 11:58:35tfssetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13183
2019-05-13 11:57:47cheryl.sabellacreate